PATCH https://api.zatomic.ai/v1/contexts/{contextId}/versions/{versionId}/file
// Example
PATCH https://api.zatomic.ai/v1/contexts/ctx_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ctv_2qRzu8qzlNOMhTrini2EKCDh5r6/file
API Reference
- Overview
- Versioning
- Authentication
- Workspaces
- Status Codes and Errors
- Credit Usage
- Expanding Objects
- OpenAPI Spec
- Changelog
- Contexts
- The Context Object
- Create File Context
- Create Text Context
- Update Context
- Delete Context
- Retrieve Context
- Retrieve All Contexts
- Context Versions
- The Context Version Object
- Create File Context Version
- Create Text Context Version
- Update File Context Version
- Update Text Context Version
- Delete Context Version
- Retrieve Context Version
- Retrieve All Context Versions
- Projects
- The Project Object
- Create Project
- Update Project
- Delete Project
- Retrieve Project
- Retrieve All Projects
- Prompts
- The Prompt Object
- Create Prompt
- Update Prompt
- Delete Prompt
- Retrieve Prompt
- Retrieve All Prompts
- Generate Prompt
- Versions
- The Version Object
- Create Version
- Update Version
- Delete Version
- Retrieve Version
- Retrieve All Versions
- Calculate Version Score
- Retrieve Version Score
- Generate Version Heatmap
- Retrieve Version Heatmap
- Analyze Version Balance
- Retrieve Version Balance
- Analyze Version Risk
- Retrieve Version Risk
- Improve Version
- Scoring Criteria
- The Scoring Criteria Object
- The Scoring Criterion Object
- Create Scoring Criteria
- Update Scoring Criteria
- Delete Scoring Criteria
- Retrieve Scoring Criteria
- Retrieve All Scoring Criteria
- Generate Scoring Criteria
- Create Scoring Criterion
- Update Scoring Criterion
- Delete Scoring Criterion
- Retrieve Scoring Criterion
- Scoring Criteria Results
- The Scoring Criteria Results Object
- Scoring
- The Scoring Object
- Calculate Prompt Score
- Heatmaps
- The Heatmap Object
- Generate Prompt Heatmap
- Balance
- The Balance Object
- Analyze Prompt Balance
- Risk
- The Risk Object
- Analyze Prompt Risk
Update File Context Version
This endpoint allows you to update any combination of the file context version's name, file, or primary flag.
Maximum file size is 100 MB and the allowed file types are: .csv, .doc, .docx, .gif, .jpg, .jpeg, .md, .pdf, .png, .ppt, .pptx, .svg, .txt, .webp, .xls, .xlsx.
Endpoint
Endpoint Request
| Request Properties | |
|---|---|
|
file
multipart/form-data
|
The updated file to be uploaded for the context version. |
|
name
string, optional
|
Name of the version. |
|
is_primary
boolean, optional
|
Flag that determines if the version is the primary version for the context. |
Request Body
curl -X POST "https://api.zatomic.ai/v1/contexts/ctx_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ctv_2qRzu8qzlNOMhTrini2EKCDh5r6/file" \
-F "name=Employee Handbook" \
-F "file=employee-handbook.pdf" \
-F "is_primary=true"
Endpoint Response
A successful call returns a response that contains the updated context version object.
| HTTP Status Codes | ||
|---|---|---|
| 200 | OK | The context version was updated. |
| 400 | Bad Request | The file was not provided in the request. |
| 400 | Bad Request | The file size was greater than 100 MB. |
| 400 | Bad Request | The file type was not allowed. |
| 404 | Not Found | The context version didn't exist. |
| 423 | Locked | The context version was locked. |
| 500 | Internal Server Error | Something went wrong on Zatomic's end. |